db_join.c File Reference
`#include "db_join.h"`
`#include "db_error.h"`
`#include <stdlib.h>`
`#include <string.h>`

Go to the source code of this file.

## Functions

const char * | db_join_from_table (const db_join_t *join)
const char * | db_join_from_field (const db_join_t *join)
const char * | db_join_to_table (const db_join_t *join)
const char * | db_join_to_field (const db_join_t *join)
const db_join_t * | db_join_next (const db_join_t *join)
const db_join_t * | db_join_list_begin (const db_join_list_t *join_list)

## Function Documentation

## db_join_from_field()

const char * db_join_from_field | ( | const db_join_t * | join | ) |

Get the from field name of a database join.

Parameters

  [in] | join | a db_join_t pointer.

Returns
  a character pointer or NULL on error or if no from field name has been set.

Definition at line 49 of file db_join.c.

References db_join::from_field.

## db_join_from_table()

const char * db_join_from_table | ( | const db_join_t * | join | ) |

Get the from table name of a database join.

Parameters

  [in] | join | a db_join_t pointer.

Returns
  a character pointer or NULL on error or if no from table name has been set.

Definition at line 41 of file db_join.c.

References db_join::from_table.

## db_join_list_begin()

const db_join_t * db_join_list_begin | ( | const db_join_list_t * | join_list | ) |

Return the first database join in a database join list.

Parameters

  [in] | join_list | a db_join_list_t pointer.

Returns
  a db_join_t pointer or NULL on error or if the list is empty.

Definition at line 85 of file db_join.c.

References db_join_list::begin.

## db_join_next()

const db_join_t * db_join_next | ( | const db_join_t * | join | ) |

Get the next database join connected in a database join list.

Parameters

  [in] | join | a db_join_t pointer.

Returns
  a db_join_t pointer or NULL on error or if there are no more database joins in the list.

Definition at line 73 of file db_join.c.

References db_join::next.

## db_join_to_field()

const char * db_join_to_field | ( | const db_join_t * | join | ) |

Get the to field name of a database join.

Parameters

  [in] | join | a db_join_t pointer.

Returns
  a character pointer or NULL on error or if no to field name has been set.

Definition at line 65 of file db_join.c.

References db_join::to_field.

## db_join_to_table()

const char * db_join_to_table | ( | const db_join_t * | join | ) |

Get the to table name of a database join.

Parameters

  [in] | join | a db_join_t pointer.

Returns
  a character pointer or NULL on error or if no to table name has been set.

Definition at line 57 of file db_join.c.

References db_join::to_table.